org.eclipse.net4j.util.ui.views

## Class ContainerPathItemProvider<CONTAINER extends IContainer<java.lang.Object>>

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<INPUT>
      - - org.eclipse.net4j.util.ui.views.ItemProvider<CONTAINER>
        - - org.eclipse.net4j.util.ui.views.ContainerItemProvider<CONTAINER>
          - - org.eclipse.net4j.util.ui.views.ContainerPathItemProvider<CONTAINER>

- All Implemented Interfaces:
    java.util.EventListener, DelegatingStyledCellLabelProvider.IStyledLabelProvider, IBaseLabelProvider, IColorProvider, IContentProvider, IFontProvider, ILabelProvider, IStructuredContentProvider, ITreeContentProvider, ITreePathContentProvider, IListener

  Deprecated.

      @Deprecated
      public class ContainerPathItemProvider<CONTAINER extends IContainer<java.lang.Object>>
      extends ContainerItemProvider<CONTAINER>
      implements ITreePathContentProvider

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ContainerItemProvider.AbstractContainerNode, ContainerItemProvider.AbstractNode, ContainerItemProvider.ContainerNode, ContainerItemProvider.ErrorElement, ContainerItemProvider.LazyElement, ContainerItemProvider.LeafNode, ContainerItemProvider.Node, ContainerItemProvider.SlowElement`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `ERROR_IMAGE, PENDING_COLOR, PENDING_IMAGE`

    - ### Fields inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `NO_ELEMENTS`

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerPathItemProvider()` Deprecated.
    `ContainerPathItemProvider(IElementFilter rootElementFilter)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNode(java.lang.Object element, ContainerItemProvider.Node node)` Deprecated.
    `protected void` | `disconnectInput(CONTAINER input)` Deprecated.
    `java.lang.Object[]` | `getChildren(TreePath path)` Deprecated.
    `protected TreePath` | `getParentPath(ContainerItemProvider.Node node)` Deprecated.
    `TreePath[]` | `getParents(java.lang.Object element)` Deprecated.
    `boolean` | `hasChildren(TreePath path)` Deprecated.
    `protected ContainerItemProvider.Node` | `removeNode(java.lang.Object element)` Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider

      `clearNodesCache, connectInput, createContaineNode, createLeafNode, createNode, createSlowElement, createSlowInput, elementAdded, elementRemoved, executeRunnable, fillContextMenu, filterRootElement, getChildren, getContainerChildren, getErrorText, getFont, getForeground, getImage, getNode, getNodes, getParent, getRoot, getRootElementFilter, getSlowText, handleElementEvent, handleInactiveElement, hasChildren, isComputeChildrenEagerly, isSlow`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ItemProvider

      `addListener, fireLabelProviderChanged, fireLabelProviderChanged, fireLabelProviderChanged, getBackground, getElements, getListeners, getStyledText, getText, isLabelProperty, removeListener`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.ITreePathContentProvider

      `getElements`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose, inputChanged`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

      `dispose`

- - ### Constructor Detail

    - #### ContainerPathItemProvider

          public ContainerPathItemProvider()

      Deprecated.

    - #### ContainerPathItemProvider

          public ContainerPathItemProvider(IElementFilter rootElementFilter)

      Deprecated.

  - ### Method Detail

    - #### hasChildren

          public boolean hasChildren(TreePath path)

      Deprecated.
      Specified by:
        `hasChildren` in interface `ITreePathContentProvider`

    - #### getChildren

          public java.lang.Object[] getChildren(TreePath path)

      Deprecated.
      Specified by:
        `getChildren` in interface `ITreePathContentProvider`

    - #### getParents

          public TreePath[] getParents(java.lang.Object element)

      Deprecated.
      Specified by:
        `getParents` in interface `ITreePathContentProvider`

    - #### addNode

          protected void addNode(java.lang.Object element,
                                 ContainerItemProvider.Node node)

      Deprecated.
      Overrides:
        `addNode` in class `ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>`

    - #### removeNode

          protected ContainerItemProvider.Node removeNode(java.lang.Object element)

      Deprecated.
      Overrides:
        `removeNode` in class `ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>`

    - #### disconnectInput

          protected void disconnectInput(CONTAINER input)

      Deprecated.
      Overrides:
        `disconnectInput` in class `ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>`

    - #### getParentPath

          protected TreePath getParentPath(ContainerItemProvider.Node node)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html